summaryrefslogtreecommitdiff
path: root/tests/sample-test
diff options
context:
space:
mode:
authorLorry Tar Creator <lorry-tar-importer@lorry>2016-01-20 10:55:18 +0000
committerLorry Tar Creator <lorry-tar-importer@lorry>2016-01-20 10:55:18 +0000
commit70e9163c9c18e995515598085cb824e554eb7ae7 (patch)
treea42dc8b2a6c031354bf31472de888bfc8a060132 /tests/sample-test
parentcbf5993c43f49281173f185863577d86bfac6eae (diff)
downloadcoreutils-tarball-70e9163c9c18e995515598085cb824e554eb7ae7.tar.gz
Diffstat (limited to 'tests/sample-test')
-rw-r--r--tests/sample-test45
1 files changed, 13 insertions, 32 deletions
diff --git a/tests/sample-test b/tests/sample-test
index 87e16ff..609c7bb 100644
--- a/tests/sample-test
+++ b/tests/sample-test
@@ -1,11 +1,11 @@
#!/bin/sh
# FIXME
-# Copyright (C) 2007 Free Software Foundation, Inc.
+# Copyright (C) 2016 Free Software Foundation, Inc.
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
@@ -14,42 +14,23 @@
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
-if test "$VERBOSE" = yes; then
- set -x
- FIXME --version
-fi
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ FIXME
-# FIXME: . $srcdir/../envvar-check
-# FIXME: . $srcdir/../lang-default
-# FIXME: PRIV_CHECK_ARG=require-root . $srcdir/../priv-check
-# FIXME: PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+# FIXME: skip_if_root_
+# FIXME: require_root_
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
+# If used, these must *follow* init.sh.
+# FIXME: cleanup_() { rm -rf "$other_partition_tmpdir"; }
+# FIXME: . "$abs_srcdir/tests/other-fs-tmpdir"
FIXME > out || fail=1
cat <<\EOF > exp || fail=1
FIXME
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
-(exit $fail); exit $fail
+Exit $fail